Get all verdict rules
curl --request GET \
--url https://api.wirespeed.co/verdict/rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wirespeed.co/verdict/rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wirespeed.co/verdict/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rules": [
{
"stage": "TRIAGE",
"default": true,
"managedByWspd": true,
"category": "OTHER__DIAGNOSTIC",
"wspdRule": "CLOUD__INVOCATION",
"retired": true,
"escalate": true,
"chatOps": true,
"close": true,
"disabled": true,
"containUserActions": [
"disable"
],
"containEndpointActions": [
"isolate"
],
"containFileActions": [
"delete"
],
"uncontainUserActions": [
"enable"
],
"uncontainEndpointActions": [
"unisolate"
],
"uncontainFileActions": [
"unquarantine"
],
"chatOpsMFA": true,
"monitor": true,
"managerChatOps": true,
"vipChatOps": true,
"chatOpsUnsureVerdict": "MALICIOUS",
"description": "<string>",
"severity": "INFORMATIONAL",
"id": "<string>",
"monitorFallbackPreset": "ESCALATE",
"createdAt": "<string>",
"updatedAt": "<string>",
"teamId": "<string>",
"chatOpsTimeoutVerdict": "MALICIOUS",
"chatOpsTimeoutMonitor": true,
"chatOpsTimeoutClose": true,
"verdict": "MALICIOUS",
"managedByParent": true,
"useSourceSeverity": true,
"ignoresRemediation": true,
"defaults": "<unknown>"
}
]
}{
"message": "<string>",
"statusCode": 123
}Verdict
Get all verdict rules
GET
/
verdict
/
rules
Get all verdict rules
Authorizations
Team API key sent as a Bearer token. Create a key in Wirespeed under Settings → Team. See https://docs.wirespeed.co/api-reference/authentication.
Response
Show child attributes
Show child attributes

